# DevBlaze

![Status](https://img.shields.io/badge/status-alpha-red)


DevBlaze is a Python library that provides a streamlined process for creating new Django projects. It is used as a core component in the [Streamline Cookiecutter](https://github.com/godd0t/streamline-cookiecutter) project, which focuses on fast development and deployment of Django applications.

DevBlaze leverages the power of [Textual](https://github.com/textualize/textual/) to provide a custom CLI, enhancing the user experience and simplifying the creation of Django projects.

**Please note: DevBlaze is currently in alpha and may be subject to changes.**


## Getting Started

To get started with DevBlaze, follow these steps:

1. Install DevBlaze:

    ```
    pip install devblaze
    ```
2. Generate a new project:

    ```
    devblaze generate
    ```
3. Follow the prompts to create your project.
You will be prompted to enter some values. After that, the project will be created in the current directory.

DevBlaze also supports make shortcuts for an even simpler user experience. Check the Streamline Cookiecutter project for more details.

## Why DevBlaze?

Traditional cookiecutter templates are great, but DevBlaze takes it a step further. By leveraging the Textual library, DevBlaze provides a more interactive and user-friendly interface, making the process of creating new Django projects even easier and more enjoyable.
   
## Contributing

Contributions are welcome! Please see [CONTRIBUTING.md](https://github.com/godd0t/devblaze/blob/main/CONTRIBUTING.md) for more details.

## License

DevBlaze is licensed under the [MIT License](https://github.com/godd0t/devblaze/blob/main/LICENSE).
